<script setup lang="ts">
  const users: { name: string; username: string }[] = [
    { name: 'User 1', username: 'user1' },
    { name: 'User 2', username: 'user2' },
    { name: 'User 3', username: 'user3' },
  ];
</script>

<template>
  <q-card class="my-card bg-primary text-white q-ma-lg">
    <q-card-section>
      <div class="text-h5">
        Suggestions
      </div>
    </q-card-section>

      <q-list>
        <q-item
          v-for="user in users"
          :key="user.username"
          clickable
          tag="a"
          :href="`/profile/${user.username}`"
        >
          <q-card-section class="row full-width content-between">
            <q-avatar>
              <q-img src="https://cdn.quasar.dev/img/avatar.png" />
            </q-avatar>
            <q-item clickable tag="a" href="#" class="col">
              <q-item-section>
                <q-item-label>
                  {{ user.name }}
                </q-item-label>
                <q-item-label caption>
                  @{{ user.username }}
                </q-item-label>
              </q-item-section>
            </q-item>
            <div class="content-center">
              <q-btn color="secondary" label="Suivre" />
            </div>
          </q-card-section>
        </q-item>
      </q-list>

    <q-separator dark />

    <q-card-actions>
      <q-btn flat>
        Voir plus de suggestion
      </q-btn>
    </q-card-actions>
  </q-card>
</template>

<style scoped>

</style>
